Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.x.com/llms.txt

Use this file to discover all available pages before exploring further.

The Mutes endpoints let you mute and unmute users, and retrieve the list of users muted by the authenticated user.

Overview

Mute

Mute a user

Unmute

Unmute a user

Muted users

Get your muted user list

Endpoints

MethodEndpointDescription
GET/2/users/:id/mutingGet muted users
POST/2/users/:id/mutingMute a user
DELETE/2/users/:source_user_id/muting/:target_user_idUnmute a user

Example: Get muted users

curl "https://api.x.com/2/users/123456789/muting?\
user.fields=username,description" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"

Example: Mute a user

curl -X POST "https://api.x.com/2/users/123456789/muting" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"target_user_id": "9876543210"}'

Getting started

Prerequisites

Mutes lookup quickstart

Get your muted users

Manage mutes quickstart

Mute and unmute users

Integration guide

Key concepts and best practices

API Reference

Full endpoint documentation